1. Webhook
Tjar
  • 🗂️ Overview
  • 🚀 Start Here
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Order Statuses
      GET
    • Create Order
      POST
    • Change Order Status
      POST
  • Products
    • Digital
      • Create Digital Product
      • Get Digital Product Details
      • Update Digital Product
    • Booking
      • Get Booking Product Details
      • Create Booking Product
      • Update Booking Product
    • Service
      • Get Service Product
      • Create Service Product
      • Update Service Product
    • List All Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
    • Update Product
      PATCH
    • Delete Product
      DELETE
  • Media
    • Upload Media
      POST
    • Upload Multiple Media
      POST
    • Update Media
      POST
  • Webhook
    • List Webhooks
      GET
    • Register Webhook
      POST
    • Update Webhook
      PUT
    • Delete Webhook
      DELETE
    • Verify Signature
      POST
    • Refresh Secret
      POST
    • Webhook Events
      GET
  • Abandoned Cart
    • List Abandoned Carts
    • Get Abandoned Cart Details
    • Send Reminder
  1. Webhook

Update Webhook

Developing
PUT
/webhooks/{identifier}
Last modified:2026-04-01 21:28:40

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

🟠422Validation Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/webhooks/3' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Updated Name",
    "url": "https://yourapp.com/newupdated-webhook",
    "method_type": "POST",
    "status": 1,
    "events": [
        "order.created"
    ],
    "secret": "optional-updated-secret-min-32-chars-long"
}'
Response Response Example
200 - OK
{
    "status": "success",
    "message": "Webhook updated successfully.",
    "data": {
        "id": 19,
        "name": "Updated Name",
        "url": "https://yourapp.com/newupdated-webhook",
        "method_type": "POST",
        "status": 1,
        "created_at": "2026-04-01 00:35:41",
        "updated_at": "2026-04-02 00:28:03",
        "events": [
            {
                "id": 62,
                "event_name": "order.created"
            }
        ]
    }
}
Modified at 2026-04-01 21:28:40
Previous
Register Webhook
Next
Delete Webhook
Built with